<?php
/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: ServiceLocator.php 2528 2005-04-15 10:38:54Z radek $
*/

/**
* ServiceLocator.php
*
* @package    Core
* @subpackage ServiceLocator
* @author     Luis Correa d'Almeida <luis@awarez.net>
* @version    1.0
* @since      PHP 4.1
*/


/**
  *
  */
class ServiceLocator {

    /* public */ var $aService = array();

    /**
     *
     */
    function ServiceLocator ()
    {
    }
    
    
    /**
     *
     */
    function register ($serviceName, & $oService)
    {
        $this->aService[$serviceName] = & $oService;
        return true;
    }
        

    /**
     *
     */
    function remove ()
    {
    }
    
    
    /**
     *
     */
    function & get ($serviceName)
    {
        if (isset($this->aService[$serviceName])) {
            return $this->aService[$serviceName];
        }
        
        return false;
    }
    
    
    /* public static */ function & instance()
    {
        static $oInstance;
        
        if (!$oInstance) {
            $oInstance = new ServiceLocator();
        }
        
        return $oInstance;
    }
    
}

?>