<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: mysql.php 2039 2005-03-11 14:58:23Z demian $
*/

/**
 * @package    MaxDeliveryDal
 * @subpackage Statistics
 * @author     Chris Nutting <chris@awarez.net>
 */
 
/**
 * The mysql data access layer code the delivery engine
 */

    function MAX_Delivery_getZoneLinkedAds($zoneid) {
        MAX_Delivery_connect();
        $query = "
        SELECT
            d.bannerid AS ad_id,
            d.campaignid AS placement_id,
            d.active AS active,
            d.description AS name,
            d.storagetype AS type,
            d.contenttype AS contenttype,
            d.pluginversion AS pluginversion,
            d.filename AS filename,
            d.imageurl AS imageurl,
            d.htmltemplate AS htmltemplate,
            d.htmlcache AS htmlcache,
            d.width AS width,
            d.height AS height,
            d.weight AS weight,
            d.seq AS seq,
            d.target AS target,
            d.url AS url,
            d.alt AS alt,
            d.status AS status,
            d.bannertext AS bannertext,
            d.autohtml AS autohtml,
            d.adserver AS adserver,
            d.block AS block,
            d.capping AS capping,
            d.session_capping AS session_capping,
            d.compiledlimitation AS compiledlimitation,
            d.append AS append,
            d.appendtype AS appendtype,
            d.bannertype AS bannertype,
            d.alt_filename AS alt_filename,
            d.alt_imageurl AS alt_imageurl,
            d.alt_contenttype AS alt_contenttype,
            c.priority AS campaign_priority,
            c.weight AS campaign_weight,
            c.companion AS campaign_companion,
            az.priority AS priority
        FROM
            {$GLOBALS['conf']['table']['prefix']}{$GLOBALS['conf']['table']['banners']} AS d,
            {$GLOBALS['conf']['table']['prefix']}{$GLOBALS['conf']['table']['ad_zone_assoc']} AS az,
            {$GLOBALS['conf']['table']['prefix']}{$GLOBALS['conf']['table']['campaigns']} AS c
        WHERE
            az.zone_id = {$zoneid}
          AND
            d.bannerid = az.ad_id
          AND
            c.campaignid = d.campaignid
          AND
            d.active = 't'
          AND
            c.active = 't'
        ";
        $linkedAds = MAX_Delivery_query($query);
        
        while ($linkedAd = mysql_fetch_assoc($linkedAds)) {
            $aAds[] = $linkedAd;
        }
        
        if (is_array($aAds)) { return $aAds; }
        else { return false; }
    }

    function MAX_Delivery_getZoneInfo($zoneId) {
        $sth = MAX_Delivery_query("
            SELECT
                z.zoneid AS zone_id,
                z.affiliateid AS publisher_id,
                z.zonename AS name,
                z.delivery AS type,
                z.description AS description,
                z.width AS width,
                z.height AS height,
                z.chain AS chain,
                z.prepend AS prepend,
                z.append AS append,
                z.appendtype AS appendtype,
                z.forceappend AS forceappend
            FROM
                {$GLOBALS['conf']['table']['prefix']}{$GLOBALS['conf']['table']['zones']} AS z
            WHERE
                z.zoneid={$zoneId}
        ");
        return mysql_fetch_assoc($sth);
    }
    
    function MAX_Delivery_connect() {
        if (empty($GLOBALS['_MAX']['CONNECTIONS']['admin_db'])) {
            $GLOBALS['_MAX']['CONNECTIONS']['admin_db'] = @mysql_connect($GLOBALS['conf']['database']['host'] . ':' . $GLOBALS['conf']['database']['port'], $GLOBALS['conf']['database']['username'], $GLOBALS['conf']['database']['password']);
            if (@mysql_select_db($GLOBALS['conf']['database']['name'], $GLOBALS['_MAX']['CONNECTIONS']['admin_db'])) { return true; }
            else { return false; } 
        }
    }
    
    function MAX_Delivery_query($query) {
        if (empty($GLOBALS['_MAX']['CONNECTIONS']['admin_db'])) { MAX_Delivery_connect(); }
        return @mysql_query($query);
    }
?>